EMF::EMREXTCREATEPEN(3)

NAME
EMF::EMREXTCREATEPEN - EMF Extended Pen.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMREXTCREATEPEN.

  Public Member Functions

EMREXTCREATEPEN (EXTPEN *pen, HGDIOBJ handle)
EMREXTCREATEPEN (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Public Member Functions inherited from EMF::METARECORD
virtual ~METARECORD ()

Detailed Description

EMF Extended Pen.

Create a new pen (used for drawing lines, arcs, rectangles, etc.). Apparently uses extended attributes such as a bitmap mask.

Constructor & Destructor Documentation

  EMREXTCREATEPEN::EMREXTCREATEPEN (EXTPEN * pen, HGDIOBJ handle)

Parameters
    pen an instance of a PEN object.
    handle the PEN object's handle.

  EMREXTCREATEPEN::EMREXTCREATEPEN (DATASTREAM & ds)
Construct a ExtCreatePen record from the input stream.

Parameters
    ds Metafile datastream.

Member Function Documentation

  void EMREXTCREATEPEN::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

References EMF::METAFILEDEVICECONTEXT::emf_handles.

  bool EMF::EMREXTCREATEPEN::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMREXTCREATEPEN::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.